PKGCTL-REPO-CONFIGURE(1)

BEZEICHNUNG
pkgctl-repo-configure - Einen Klon entsprechend der Distributionsvorgaben konfigurieren

ÜBERSICHT

pkgctl repo configure [OPTIONEN] [PFAD…]

BESCHREIBUNG

Konfiguriert Git-Paketierungsrepositorien entsprechend den Distributionsvorgaben und den Einstellungen in makepkg.conf.

Git-Autoreninformationen und der verwandte Signaturschlüssel werden aus makepkg.conf eingerichtet. Diese Datei wird aus gültigen Orten wie /etc oder XDG_CONFIG_HOME ausgelesen.

Das ferne Protokoll wird automatisch aus der Autoren-E-Mail-Adresse bestimmt, indem für alle offiziellen Paketierungs-Identitäten SSH und ansonsten schreibgeschütztes HTTPS ausgewählt wird.

Die standardmäßigen Ausschlüsse und Hooks werden auf das konfigurierte Repositorium angewandt.

OPTIONEN

--protocol https
    Konfiguriert, dass die ferne URL https verwendet.

-j, --jobs N
    Führt bis zu N Aufträge parallel aus. Standardmäßig ist die Anzahl der Aufträge identisch zu der Anzahl der verfügbaren Verarbeitungseinheiten. Für sequenzielle Bearbeitung muss diese Option mit einer 1 übergeben werden.

-h, --help
    Zeigt einen Hilfetext an.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.